name: dlist
version: 0.8.0.5
id: dlist-0.8.0.5-FMMQwM1hD2kK7b7715Z2vG
key: dlist-0.8.0.5-FMMQwM1hD2kK7b7715Z2vG
license: BSD-3-Clause
copyright: 2006-2009 Don Stewart, 2013-2016 Sean Leather
maintainer: Sean Leather <sean.leather@gmail.com>
author: Don Stewart
homepage: https://github.com/spl/dlist
synopsis: Difference lists
description:
    Difference lists are a list-like type supporting O(1) append. This is
    particularly useful for efficient logging and pretty printing (e.g. with the
    Writer monad), where list append quickly becomes too expensive.
category: Data
abi: 82309951b72107473558f9969e3ff791
exposed: True
exposed-modules:
    Data.DList
import-dirs: /usr/local/lib/ghc/dlist-0.8.0.5
library-dirs: /usr/local/lib/ghc/dlist-0.8.0.5
dynamic-library-dirs: /usr/local/lib/ghc/dlist-0.8.0.5
data-dir: /usr/local/share/hs-dlist-0.8.0.5
hs-libraries: HSdlist-0.8.0.5-FMMQwM1hD2kK7b7715Z2vG
depends:
    base-4.12.0.0 deepseq-1.4.4.0
haddock-interfaces: /usr/local/share/doc/hs-dlist-0.8.0.5/html/dlist.haddock
haddock-html: /usr/local/share/doc/hs-dlist-0.8.0.5/html
